Name:		libbsr
Version:	0.2
Release:	2%{?dist}
Summary:	Barrier Synchronization Register access library

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://sourceforge.net/projects/libbsr/

Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch:	ppc64

%description
This is a library to expose the functionality of the Barrier Synchronization
Register (BSR) on IBM POWER Systems in Linux. This facility helps speed up
synchronization across large SMP systems

%package devel
Summary:	Barrier Synchronization Register development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development package for libbsr.

%prep
%setup -q

%build
make	CFLAGS="%{optflags}" %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/%{_prefix}/%{_lib}/
mkdir -p %{buildroot}/%{_includedir}/
mkdir -p %{buildroot}/%{_defaultdocdir}/%{name}-%{version}/examples

make install	INSTALLROOT="%{buildroot}"	\
		LIBDIR="%{_prefix}/%{_lib}"	\
		INCLUDEDIR="%{_includedir}"

cp -p LGPL-2.1 README %{buildroot}/%{_defaultdocdir}/%{name}-%{version}/
cp -p test-bsr.c %{buildroot}/%{_defaultdocdir}/%{name}-%{version}/examples/.

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/bsr_cleanup
%{_libdir}/libbsr.so.0
%{_libdir}/libbsr.so.%{version}
%{_defaultdocdir}/%{name}-%{version}/
%exclude %{_defaultdocdir}/%{name}-%{version}/examples

%files devel
%defattr(-,root,root,-)
%{_includedir}/bsr.h
%{_libdir}/libbsr.so
%{_defaultdocdir}/%{name}-%{version}/examples/

%changelog
* Wed Feb 12 2009 Tony Breeds <tony@bakeyournoodle.com> 0.2-2
- Incorporate more feedback from review.

* Wed Feb 12 2009 Tony Breeds <tony@bakeyournoodle.com> 0.2-1
- Use new upstream relase

* Wed Feb 12 2009 Tony Breeds <tony@bakeyournoodle.com> 0.1-3
- No longer list "examples" twice

* Wed Feb 11 2009 Tony Breeds <tony@bakeyournoodle.com> 0.1-2
- Fixes from package review

* Tue Feb 10 2009 Tony Breeds <tony@bakeyournoodle.com> 0.1-1
- Initial RPM package for Fedora
